CVE Vulnerabilities

CVE-2003-0418

Published: Jul 24, 2003 | Modified: Oct 18, 2016
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
5 MEDIUM
AV:N/AC:L/Au:N/C:P/I:N/A:N
RedHat/V2
RedHat/V3
Ubuntu

The Linux 2.0 kernel IP stack does not properly calculate the size of an ICMP citation, which causes it to include portions of unauthorized memory in ICMP error responses.

Affected Software

Name Vendor Start Version End Version
Linux_kernel Linux 2.0 2.0
Linux_kernel Linux 2.0.1 2.0.1
Linux_kernel Linux 2.0.2 2.0.2
Linux_kernel Linux 2.0.3 2.0.3
Linux_kernel Linux 2.0.4 2.0.4
Linux_kernel Linux 2.0.5 2.0.5
Linux_kernel Linux 2.0.6 2.0.6
Linux_kernel Linux 2.0.7 2.0.7
Linux_kernel Linux 2.0.8 2.0.8
Linux_kernel Linux 2.0.9 2.0.9
Linux_kernel Linux 2.0.10 2.0.10
Linux_kernel Linux 2.0.11 2.0.11
Linux_kernel Linux 2.0.12 2.0.12
Linux_kernel Linux 2.0.13 2.0.13
Linux_kernel Linux 2.0.14 2.0.14
Linux_kernel Linux 2.0.15 2.0.15
Linux_kernel Linux 2.0.16 2.0.16
Linux_kernel Linux 2.0.17 2.0.17
Linux_kernel Linux 2.0.18 2.0.18
Linux_kernel Linux 2.0.19 2.0.19
Linux_kernel Linux 2.0.20 2.0.20
Linux_kernel Linux 2.0.21 2.0.21
Linux_kernel Linux 2.0.22 2.0.22
Linux_kernel Linux 2.0.23 2.0.23
Linux_kernel Linux 2.0.24 2.0.24
Linux_kernel Linux 2.0.25 2.0.25
Linux_kernel Linux 2.0.26 2.0.26
Linux_kernel Linux 2.0.27 2.0.27
Linux_kernel Linux 2.0.28 2.0.28
Linux_kernel Linux 2.0.29 2.0.29
Linux_kernel Linux 2.0.30 2.0.30
Linux_kernel Linux 2.0.31 2.0.31
Linux_kernel Linux 2.0.32 2.0.32
Linux_kernel Linux 2.0.33 2.0.33
Linux_kernel Linux 2.0.34 2.0.34
Linux_kernel Linux 2.0.35 2.0.35
Linux_kernel Linux 2.0.36 2.0.36
Linux_kernel Linux 2.0.37 2.0.37
Linux_kernel Linux 2.0.38 2.0.38
Linux_kernel Linux 2.0.39 2.0.39

References